import java.awt.Color;
import java.awt.Graphics;

public class Disk
{
    private int   x;
    private int   y;
    private int   radius;
    private Color color;
    private int   increment;                             // new

    public Disk( int x, int y, int r )
    {
        this.x = x;
        this.y = y;
        radius = r;
        color  = Color.blue;
        
        increment = 0;                                   // new
   }

    public void paint( Graphics g )
    {
        g.setColor( color );
        g.fillOval( x, y, radius*2 + increment, radius*2 + increment );   // change
        
        increment++;                                     // new
    }

    protected void moveBy( int deltaX, int deltaY )
    {
        x += deltaX;
        y += deltaY;
    }
}
