import java.awt.Color;
import java.awt.Frame;
import java.awt.Graphics;

public class GraphicsDemoFrame extends Frame
{
  private static final int FrameWidth  =  600;
  private static final int FrameHeight =  400;
  private static final int Iterations  = 2000;

  public GraphicsDemoFrame()
  {
    super();
    
    setSize ( FrameWidth, FrameHeight );
    setTitle( "A Demo of Graphics Messages" );
  }

  public void paint( Graphics g )
  {
    g.setColor( Color.blue );
    g.drawOval( 110, 110, 25, 15 );
    g.fillOval( 150, 110, 25, 15 );

    g.setColor( Color.red );
    g.drawRect( 110, 150, 25, 15 );
    g.fillRect( 150, 150, 25, 15 );

    g.setColor( Color.green );
    g.drawString( "This is my Eugene's demo", 150, 290 );
    g.drawLine( 10, 350, 550, 50 );
  }
}